Module | GetText::ClassInfo
In: | lib/gettext/runtime/class_info.rb

For normalize/finding the related classes/modules. This is used for realizing the scope of TextDomain. (see: www.yotabanana.com/hiki/ruby-gettext-scope.html)

### Methods

normalize_class related_classes related_classes_internal

### Included Modules

Locale::Util::Memoizable

### Public Instance methods

normalize_class(klass)

normalize the class name klass should kind of the class, not object.

related_classes(klass, all_classes = [])

Returns the classes which related to klass (klass’s ancestors, included modules and nested modules)

related_classes_internal(klass, all_classes = [], analyzed_classes = [] )

Internal method for related_classes.

[Validate]